%define	ver	0.62
%define	rel	4

Summary: A fast lookup databse library and utilities
Name: freecdb
Version: %{ver}
Release: %{rel}
Group: Applications/Databases
Copyright: distributable
#Source: ftp://koobera.math.uic.edu/www/software/%{name}-%{version}.tar.gz
#URL: ftp://koobera.math.uic.edu/www/cdb.html
Source: ftp://ftp.debian.org/debian/dists/woody/main/source/utils/%{name}_%{version}.tar.gz
URL: http://packages.debian.org/freecdb
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Provides: cdb

%description
cdb is a fast, reliable, lightweight package for creating and reading
constant databases.

%prep
%setup -q

rm -rf ${RPM_BUILD_ROOT}

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{bin,include,lib,share/man/{man1,man3}}
%makeinstall DESTDIR=${RPM_BUILD_ROOT}
#cp cdbdump cdbget cdbmake cdbstats cdbtest ${RPM_BUILD_ROOT}%{_prefix}/bin
#cp cdb.h cdbmake.h uint32.h ${RPM_BUILD_ROOT}%{_prefix}/include
#cp libcdb.a libcdbmake.a ${RPM_BUILD_ROOT}%{_prefix}/lib
#cp cdbdump.1 cdbget.1 cdbmake.1 cdbstats.1 cdbtest.1 ${RPM_BUILD_ROOT}%{_prefix}/share/man/man1
#cp cdb.3 ${RPM_BUILD_ROOT}%{_prefix}/share/man/man3

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_mandir}/*/*

%changelog
* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Jan 22 2001 SATO Satoru <ssato@redhat.com>
- update SPEC

* Thu Dec 28 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Mon Aug  4 2000 Satoru Sato <ssato@redhat.com>
- 1st. release
